Send event
curl --request POST \
--url https://api.livechatinc.com/v3.6/customer/action/send_event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "PWLW03ICW7",
"event": {
"type": "message",
"text": "hello world",
"recipients": "all"
}
}
'import requests
url = "https://api.livechatinc.com/v3.6/customer/action/send_event"
payload = {
"chat_id": "PWLW03ICW7",
"event": {
"type": "message",
"text": "hello world",
"recipients": "all"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chat_id: 'PWLW03ICW7',
event: {type: 'message', text: 'hello world', recipients: 'all'}
})
};
fetch('https://api.livechatinc.com/v3.6/customer/action/send_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "K600PKZON8"
}Events
Send event
Sends an event object. Use this method to send a message by specifying the Message event type in the request.
The method updates the requester’s events_seen_up_to as if they’ve seen all chat events.
POST
/
action
/
send_event
Send event
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
The ID of the chat that you want to send a message to.
The event object. Does not support the form type event in the Text app.
If set to true: the event will be added to the last thread for inactive chats. If set to false: the request will fail for inactive chats. The flag is ignored for active chats.
Response
200 - application/json
Event sent.
The event ID.
Was this page helpful?
⌘I